--- title: "Get all Paylinks" slug: "get-all-paylinks" updated: 2025-02-26T12:16:53Z published: 2026-01-22T13:05:41Z canonical: "api-docs.blinkpayment.co.uk/get-all-paylinks" --- > ## Documentation Index > Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt > Use this file to discover all available pages before exploring further. # Get all Paylinks Get/api/paylink/v1/paylinks Gets details of all the paylinks created by a specific merchant. **Query Parameters** - `status` (string): status of the paylink. - `customer_name` (string): Customer name. - `amount` (float): amount of the paylink. - `amount_gt` (float): Amount should be greater than specified value. - `amount_lt` (float): Amount should be less than specified value. **Response Body** - `id` (string): The unique identifier for the paylink. - `status` (string): The status of the paylink, such as "unpaid", "paid", etc. - `amount` (float): The amount associated with the paylink. - `customer_name` (string): The name of the customer associated with the paylink. - `created_at` (string): The timestamp indicating when the paylink was created. - `updated_at` (string): The timestamp indicating when the paylink was last updated. SecurityHTTPType bearer Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c Query parametersstatusstringExampleunpaid amountintegerExample1 Responses200 Successful response